### deferred_t::executor_with_default

Adapts an executor to add the `deferred_t` completion token as the default.

    template<
        typename InnerExecutor>
    struct executor_with_default :
      public InnerExecutor

##### Types

Name | Description
--- | ---
default_completion_token_type | Specify deferred_t as the default completion token type.

##### Member Functions

Name | Description
--- | ---
executor_with_default [constructor] | Construct the adapted executor from the inner executor type.

##### Requirements

Header: `asio/deferred.hpp`

Convenience header: `asio.hpp`